package com.fs.watch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.watch.domain.WatchDoctor;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户绑定医生Mapper接口
 *
 * @author fs
 * @date 2025-05-14
 */
public interface WatchDoctorMapper extends BaseMapper<WatchDoctor>{
    /**
     * 查询用户绑定医生
     *
     * @param id 用户绑定医生主键
     * @return 用户绑定医生
     */
    WatchDoctor selectWatchDoctorById(Long id);

    /**
     * 查询用户绑定医生列表
     *
     * @param watchDoctor 用户绑定医生
     * @return 用户绑定医生集合
     */
    List<WatchDoctor> selectWatchDoctorList(WatchDoctor watchDoctor);

    /**
     * 新增用户绑定医生
     *
     * @param watchDoctor 用户绑定医生
     * @return 结果
     */
    int insertWatchDoctor(WatchDoctor watchDoctor);

    /**
     * 修改用户绑定医生
     *
     * @param watchDoctor 用户绑定医生
     * @return 结果
     */
    int updateWatchDoctor(WatchDoctor watchDoctor);

    /**
     * 删除用户绑定医生
     *
     * @param id 用户绑定医生主键
     * @return 结果
     */
    int deleteWatchDoctorById(Long id);

    /**
     * 批量删除用户绑定医生
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWatchDoctorByIds(Long[] ids);

    void insertBatchWatchUserCompany(@Param("list") ArrayList<WatchDoctor> dList);

    void deleteBatch(@Param("deviceId")Long deviceId,@Param("list") List<String> subDoctorList);
}
